Create a new task

Create a new task

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
dataanyRequired
User imported or uploaded data for a task. Data is formatted according to the project label config. You can find examples of data for your project on the Import page in the Label Studio Data Manager UI.
allow_skipboolean or nullOptional
Whether this task can be skipped. Set to False to make task unskippable.
cancelled_annotationsintegerOptional-2147483648-2147483647
Number of total cancelled annotations for the current task
comment_authorslist of integersOptional
Users who wrote comments
comment_countintegerOptional-2147483648-2147483647
Number of comments in the task including all annotations
file_uploadinteger or nullOptional
Uploaded file used as data source for this task
inner_idlong or nullOptional-9223372036854776000-9223372036854776000
Internal task ID in the project, starts with 1
is_labeledbooleanOptional

True if the number of annotations for this task is greater than or equal to the number of maximum_completions for the project

last_comment_updated_atdatetime or nullOptional
When the last comment was updated
metaany or nullOptional

Meta is user imported (uploaded) data and can be useful as input for an ML Backend for embeddings, advanced vectors, and other info. It is passed to ML during training/predicting steps.

overlapintegerOptional-2147483648-2147483647
Number of distinct annotators that processed the current task
projectinteger or nullOptional
Project ID for this task
total_annotationsintegerOptional-2147483648-2147483647
Number of total annotations for the current task except cancelled annotations
total_predictionsintegerOptional-2147483648-2147483647
Number of total predictions for the current task
unresolved_comment_countintegerOptional-2147483648-2147483647
Number of unresolved comments in the task including all annotations
updated_byinteger or nullOptional
Last annotator or reviewer who updated this task

Response

agreementstringRead-only
agreement_selectedstringRead-only
annotation_timeintegerRead-only
Calculate total annotation time for this task from MetricInTimeBucket records. Returns time in seconds.
annotationsstringRead-only
annotations_idsstringRead-only
annotations_resultsstringRead-only
annotatorslist of integersRead-only
Annotators IDs who annotated this task
annotators_countintegerRead-only

The annotators_count is calculated as the number of users with annotations (can be repeated, so same as the number of annotations) + the number of assignees without annotations.

comment_authorslist of maps from strings to anyRead-only
comment_authors_countintegerRead-only
commentsstringRead-only
created_atdatetimeRead-only
Time a task was created
dataany
User imported or uploaded data for a task. Data is formatted according to the project label config. You can find examples of data for your project on the Import page in the Label Studio Data Manager UI.
draftslist of objectsRead-only
Drafts for this task
file_uploadstringRead-only
idintegerRead-only
predictionslist of objectsRead-only
Predictions for this task
predictions_model_versionsstringRead-only
predictions_resultsstringRead-only
review_timeintegerRead-only
Calculate total review time for this task from MetricInTimeBucket records. Returns time in seconds.
reviewerslist of maps from strings to anyRead-only
reviewers_countintegerRead-only
statestringRead-only
storage_filenamestringRead-only
updated_atdatetimeRead-only
Last time a task was updated
updated_bylist of objectsRead-only
User IDs who updated this task
allow_skipboolean or null
Whether this task can be skipped. Set to False to make task unskippable.
avg_lead_timedouble or null
cancelled_annotationsinteger or null
comment_countinteger or null-2147483648-2147483647
Number of comments in the task including all annotations
completed_atdatetime or null
draft_existsboolean or null
ground_truthboolean or null
inner_idinteger or null
is_labeledboolean or null

True if the number of annotations for this task is greater than or equal to the number of maximum_completions for the project

last_comment_updated_atdatetime or null
When the last comment was updated
metaany or null

Meta is user imported (uploaded) data and can be useful as input for an ML Backend for embeddings, advanced vectors, and other info. It is passed to ML during training/predicting steps.

overlapinteger or null-2147483648-2147483647
Number of distinct annotators that processed the current task
precomputed_agreementdouble or null
Average agreement score for the task
predictions_scoredouble or null
projectinteger or null
Project ID for this task
reviewedboolean or null
reviews_acceptedinteger or null
reviews_rejectedinteger or null
total_annotationsinteger or null
total_predictionsinteger or null
unresolved_comment_countinteger or null-2147483648-2147483647
Number of unresolved comments in the task including all annotations